> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletsuite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Build approve transaction



## OpenAPI

````yaml /openapi.json post /api/approvals/build
openapi: 3.1.0
info:
  title: WalletSuite REST API
  description: >-
    Multi-chain wallet operations, balances, prices, and transaction lifecycle
    as a REST API.
  contact:
    name: WalletSuite
    url: https://walletsuite.io
  version: prod
servers:
  - url: https://api.walletsuite.io
    description: WalletSuite API
security:
  - ApiKeyAuth: []
tags:
  - name: Transactions
    description: >-
      Get transaction history by address, check live transaction status, and
      send signed transactions.
  - name: Fees
    description: Fee estimation endpoints
  - name: Balances
    description: Fetch balances on any supported chain (Ethereum, Tron).
  - name: Assets
    description: >-
      List supported blockchain assets from the database loaded at startup from
      bundled resources
  - name: Asset Status
    description: Asset enablement and restrictions.
  - name: Prices
    description: Fiat prices for symbols and contract addresses
  - name: Swaps
    description: Swap quote, route, and transaction building.
  - name: Approvals
    description: Allowance, approval tx data, and approval status.
  - name: NFTs
    description: NFT collections, tokens, owners, and transfer building.
  - name: Staking
    description: Native staking APR, validators, positions, and transaction building.
  - name: Name Service
    description: Name resolution and reverse resolution.
  - name: Chains
    description: Chain registry and chain capabilities.
  - name: Chain Specific
    description: Chain specific endpoints consumable by SDK.
  - name: Blocks
    description: View most recently indexed block information.
  - name: Info
    description: General information and summary counts.
paths:
  /api/approvals/build:
    post:
      tags:
        - Approvals
      summary: Build approve transaction
      operationId: build_1
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BuildApproveRequestDto'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResponseBuildApproveResponseDto'
components:
  schemas:
    BuildApproveRequestDto:
      type: object
      properties:
        chain:
          type: string
        owner:
          type: string
        tokenContract:
          type: string
        spender:
          type: string
        amount:
          type: integer
        nonce:
          type: integer
        maxPriorityFeePerGasWei:
          type: integer
        priorityFeeMultiplier:
          type: number
          format: double
      required:
        - amount
        - chain
        - owner
        - spender
        - tokenContract
    ApiResponseBuildApproveResponseDto:
      type: object
      properties:
        ok:
          type: boolean
        code:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/BuildApproveResponseDto'
      required:
        - code
        - message
        - ok
    BuildApproveResponseDto:
      type: object
      properties:
        chain:
          type: string
        chainId:
          type: integer
          format: int64
        from:
          type: string
        to:
          type: string
        valueWei:
          type: integer
        data:
          type: string
        nonce:
          type: integer
        fee:
          $ref: '#/components/schemas/FeeHintDto'
      required:
        - chain
        - data
        - fee
        - from
        - to
        - valueWei
    FeeHintDto:
      type: object
      properties:
        mode:
          type: string
        gasLimit:
          type: integer
        maxPriorityFeePerGas:
          type: integer
        maxFeePerGas:
          type: integer
        gasPrice:
          type: integer
      required:
        - mode
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key provided by WalletSuite team
      name: x-api-key
      in: header

````